import { Context } from 'aws-lambda';
import { LambdaHandler } from './types';
import express, { Response } from 'express';
export declare class LocalLambda {
    handler: LambdaHandler;
    port: number;
    context: Context;
    enableCORS: boolean;
    binaryContentTypesOverride: Set<string>;
    pathParamsPattern: string;
    app: express.Application;
    constructor(config: LocalLambdaConfig);
    run(): void;
    setCORSHeaders(res: Response): void;
}
export interface LocalLambdaConfig {
    handler: LambdaHandler;
    port?: number;
    context?: Context;
    enableCORS?: boolean;
    binaryContentTypesOverride?: string[];
    pathParamsPattern?: string;
}
//# sourceMappingURL=local.lambda.d.ts.map